Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003141Piwigodatabasepublic2014.09.19 21:482014.09.20 13:53
Reportergnunux 
Assigned Toplg 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.7.0RC1 
Target Version2.7.0Fixed in Version2.7.0 
Summary0003141: Unknown column 'activation_key_expire' in 'field list'
DescriptionI've install 2.7rc2 of piwigo (fresh install not upgrade). When I tried to retrieve password (http://xxxxx/piwigo/password.php [^]) for an existing user I've an error:

Piwigo a rencontré une erreur non récupérable
 
[mysql error 1054] Unknown column 'activation_key_expire' in 'field list'
 
UPDATE piwigo_user_infos
  SET activation_key = '$P$XXXXXXXXXXXXXXXXXXXXXXXXXXXXX',
    activation_key_expire = '2014-09-19 22:06:49'
  WHERE user_id = '1'
 
0000001 my_error /var/www/piwigo/include/dblayer/functions_mysqli.inc.php(132)
0000002 pwg_query /var/www/piwigo/include/dblayer/functions_mysqli.inc.php(478)
0000003 single_update /var/www/piwigo/password.php(103)
0000004 process_password_request /var/www/piwigo/password.php(278)


This column not exists in database:

mysql> select activation_key_expire from piwigo_user_infos;
ERROR 1054 (42S22): Unknown column 'activation_key_expire' in 'field list'

I cannot reproduce this error when I upgrade an install from version 2.6.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships
related to 0003050closedplg User activation_key expiration 

-  Notes
(0007628)
svn (reporter)
2014.09.20 13:52

[Subversion] r29666 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
bug 3141 fixed: forget to change piwigo_structure-mysql.sql in r29111 for feature 3050
(0007630)
plg (manager)
2014.09.20 13:53

Thank you gnunux!

- Issue History
Date Modified Username Field Change
2014.09.19 21:48 gnunux New Issue
2014.09.19 21:48 gnunux browser => any
2014.09.19 21:48 gnunux Web server => Apache 1.3.x
2014.09.20 13:52 svn Checkin
2014.09.20 13:52 svn Note Added: 0007628
2014.09.20 13:53 plg Relationship added related to 0003050
2014.09.20 13:53 plg Note Added: 0007630
2014.09.20 13:53 plg Assigned To => plg
2014.09.20 13:53 plg Status new => closed
2014.09.20 13:53 plg Resolution open => fixed
2014.09.20 13:53 plg Fixed in Version => 2.7.0
2014.09.20 13:53 plg Target Version => 2.7.0


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker